org.keycloak.dom.saml.v2.metadata

## Class KeyDescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.KeyDescriptorType

-     public class KeyDescriptorType
      extends Object

  Java class for KeyDescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="KeyDescriptorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyInfo"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}EncryptionMethod" maxOccurs="unbounded"
       minOccurs="0"/>
             </sequence>
             <attribute name="use" type="{urn:oasis:names:tc:SAML:2.0:metadata}KeyTypes" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<EncryptionMethodType>` | `encryptionMethod`
    `protected Element` | `keyInfo`
    `protected KeyTypes` | `use`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyDescriptorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEncryptionMethod(EncryptionMethodType e)` Add encryption method type
    `List<EncryptionMethodType>` | `getEncryptionMethod()` Gets the value of the encryptionMethod property.
    `Element` | `getKeyInfo()` Gets the value of the keyInfo property.
    `KeyTypes` | `getUse()` Gets the value of the use property.
    `void` | `removeEncryptionMethod(EncryptionMethodType e)` Remove encryption method type
    `void` | `setKeyInfo(Element value)` Sets the value of the keyInfo property.
    `void` | `setUse(KeyTypes value)` Sets the value of the use property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyInfo

          protected Element keyInfo

    - #### encryptionMethod

          protected List<EncryptionMethodType> encryptionMethod

    - #### use

          protected KeyTypes use

  - ### Constructor Detail

    - #### KeyDescriptorType

          public KeyDescriptorType()

  - ### Method Detail

    - #### getKeyInfo

          public Element getKeyInfo()

      Gets the value of the keyInfo property.
      Returns:
        possible object is `KeyInfoType`

    - #### setKeyInfo

          public void setKeyInfo(Element value)

      Sets the value of the keyInfo property.
      Parameters:
        `value` - allowed object is `KeyInfoType`

    - #### addEncryptionMethod

          public void addEncryptionMethod(EncryptionMethodType e)

      Add encryption method type
      Parameters:
        `e` -

    - #### removeEncryptionMethod

          public void removeEncryptionMethod(EncryptionMethodType e)

      Remove encryption method type
      Parameters:
        `e` -

    - #### getEncryptionMethod

          public List<EncryptionMethodType> getEncryptionMethod()

      Gets the value of the encryptionMethod property.

      Objects of the following type(s) are allowed in the list `EncryptionMethodType`

    - #### getUse

          public KeyTypes getUse()

      Gets the value of the use property.
      Returns:
        possible object is `KeyTypes`

    - #### setUse

          public void setUse(KeyTypes value)

      Sets the value of the use property.
      Parameters:
        `value` - allowed object is `KeyTypes`

Copyright © 2016 JBoss by Red Hat. All rights reserved.